import { ServiceBase } from './../../../../data/service-base';
import { BindingEngine, Disposable } from 'aurelia-framework';
import { ICellEditorComp, ICellEditorParams } from "ag-grid-community";
import { ViewSlot, View } from 'aurelia-templating';
export default class Select2CellEditor implements ICellEditorComp {
    eGui: HTMLElement;
    view: View;
    viewSlot: ViewSlot;
    dataService: ServiceBase<any>;
    entity: any;
    valuePropertyName: string;
    displayPropertyName: any;
    params: ICellEditorParams;
    disposable: Disposable;
    bindingEngine: BindingEngine;
    constructor();
    getValue(): any;
    getGui(): HTMLElement;
    isPopup?(): boolean;
    afterGuiAttached(): void;
    destroy(): void;
    init?(params: import("ag-grid-community").ICellEditorParams | any): void;
    entityMatcher: (a: any, b: any) => boolean;
    propertyChanged(newValue: number, oldValue: number): void;
    setupGui(): void;
}
